Index: Portfile
===================================================================
--- Portfile	(revision 105938)
+++ Portfile	(working copy)
@@ -8,8 +8,7 @@
 # Keep relevant lines in sync between ImageMagick and p5-perlmagick.
 
 name                        ImageMagick
-version                     6.8.0-7
-revision                    2
+version                     6.8.5-5
 set reasonable_version      [lindex [split ${version} -] 0]
 homepage                    http://www.imagemagick.org/
 categories                  graphics devel
@@ -39,12 +38,10 @@
                             ftp://ftp.sunet.se/pub/multimedia/graphics/ImageMagick \
                             ftp://sunsite.icm.edu.pl/packages/ImageMagick
 
-checksums                   rmd160  fec9dd84690d8f4502db1e62f40ee96e55066ba9 \
-                            sha256  e15672c8c11148bcfcd95885e1cd7a5575d4a6984bdf0a3a1c718a2a6ad37435
+checksums                   rmd160  baf1e3a7c898c3ca2476bc4d26acc337422d6fe3 \
+                            sha256  a57a58307df6730a3ec33a3bdfff9451f6ded4b4ab78cab33c6e4009dc76b842
 
-depends_lib                 port:xorg-libXext \
-                            port:xorg-libXt \
-                            port:bzip2 \
+depends_lib                 port:bzip2 \
                             port:xz \
                             port:jpeg \
                             port:lcms2 \
@@ -66,9 +63,7 @@
 
 depends_run                 port:urw-fonts
 
-archcheck.files             lib/libXext.dylib \
-                            lib/libXt.dylib \
-                            lib/libbz2.dylib \
+archcheck.files             lib/libbz2.dylib \
                             lib/libjpeg.dylib \
                             lib/liblcms2.dylib \
                             lib/libpng.dylib \
@@ -109,7 +104,6 @@
                             --with-zlib \
                             --with-modules \
                             --with-xml \
-                            --with-x \
                             --without-perl \
                             --without-fpx \
                             --without-jbig \
@@ -119,6 +113,7 @@
                             --without-rsvg \
                             --without-lqr \
                             --without-pango \
+                            --without-x \
                             --with-gs-font-dir=${prefix}/share/fonts/urw-fonts
 
 test.run                    yes
@@ -132,15 +127,6 @@
     configure.args-append   --with-gvc
 }
 
-variant hdri description {Support High Dynamic Range Imaging using OpenEXR} {
-    depends_lib-append      port:openexr
-    archcheck.files-append  lib/libIlmImf.dylib
-    configure.args-delete   --without-openexr \
-                            --disable-hdri
-    configure.args-append   --with-openexr \
-                            --enable-hdri
-}
-
 variant jbig description {Support JBIG} {
     depends_lib-append      port:jbigkit
     archcheck.files-append  lib/libjbig.dylib
@@ -169,15 +155,6 @@
     configure.args-append   --with-pango
 }
 
-variant no_x11 {
-    depends_lib-delete      port:xorg-libXext \
-                            port:xorg-libXt
-    archcheck.files-delete  lib/libXext.dylib \
-                            lib/libXt.dylib
-    configure.args-delete   --with-x
-    configure.args-append   --without-x
-}
-
 # Legacy perl variant to be removed after May 2014.
 variant perl description {Obsolete variant} {
     pre-configure {
@@ -185,19 +162,6 @@
     }
 }
 
-variant q8 conflicts q16 q32 description {Use 8 bits per pixel quantum} {
-    configure.args-append   --with-quantum-depth=8
-}
-variant q16 conflicts q8 q32 description {Use 16 bits per pixel quantum} {
-    configure.args-append   --with-quantum-depth=16
-}
-variant q32 conflicts q8 q16 description {Use 32 bits per pixel quantum} {
-    configure.args-append   --with-quantum-depth=32
-}
-if {![variant_isset q8] && ![variant_isset q32]} {
-    default_variants +q16
-}
-
 variant rsvg description {Support SVG using librsvg} {
     depends_lib-append      port:librsvg
     archcheck.files-append  lib/librsvg-2.dylib
@@ -212,6 +176,24 @@
     configure.args-append   --with-wmf
 }
 
+# Legacy no_x11 variant to be removed after May 2014.
+variant no_x11 conflicts x11 description {Legacy compatibility variant} {}
+
+variant x11 conflicts no_x11 {
+    depends_lib-append      port:xorg-libXext \
+                            port:xorg-libXt
+    archcheck.files-append  lib/libXext.dylib \
+                            lib/libXt.dylib
+    configure.args-append   --with-x
+    configure.args-delete   --without-x
+}
+
+if {[variant_isset no_x11]} {
+    default_variants -x11
+} else {
+    default_variants +x11
+}
+
 livecheck.version           ${reasonable_version}
 livecheck.type              regex
 livecheck.url               [lindex ${master_sites} 0]