Only in rzip64-3.1: .DS_Store
Only in rzip64-3.1: CHANGELOG
diff -ru rzip64-3-0/Makefile rzip64-3.1/Makefile
--- rzip64-3-0/Makefile	2010-12-19 13:51:53.000000000 -0600
+++ rzip64-3.1/Makefile	2013-02-21 10:12:53.000000000 -0600
@@ -11,7 +11,7 @@
 CC=gcc
 CFLAGS=-g -O2
 
-INSTALLCMD=/usr/bin/install -c
+INSTALLCMD=/opt/local/bin/ginstall -c
 
 srcdir=.
 SHELL=/bin/sh
@@ -42,12 +42,11 @@
 rzip64.1: rzip64.yo
 	yodl2man -o rzip64.1 rzip64.yo
 
-man/rzip64-man.html: rzip64.yo
+web/rzip64-man.html: rzip64.yo
 	mkdir -p man
-	yodl2html -o man/rzip64-man.html rzip64.yo
+	yodl2html -o web/rzip64-man.html rzip64.yo
 
-docs: rzip64.1 man/rzip64-man.html
-	cp rzip64.1 man/rzip64.1
+docs: rzip64.1 web/rzip64-man.html
 
 clean:
 	rm -f *~ $(OBJS) rzip64 config.cache config.log config.status
Only in rzip64-3-0: crc32.o
diff -ru rzip64-3-0/main.c rzip64-3.1/main.c
--- rzip64-3-0/main.c	2010-12-19 13:18:43.000000000 -0600
+++ rzip64-3.1/main.c	2013-02-21 10:13:37.000000000 -0600
@@ -32,13 +32,14 @@
 	printf("     -9            slowest (best) compression\n");
 	printf("     -d            decompress\n");
 	printf("     -f            force overwrite of any existing files\n");
-	printf("     -G            use slices (stop-and-go mode)\n");
-	printf("     -j n          use n cores in parallel\n");
+	printf("     -G            use slices (stop-and-go mode, automatically sets -9)\n");
+	printf("     -j n          use n cores in parallel (automatically sets -G)\n");
 	printf("     -k            keep existing files\n");
 	printf("     -L level      set compression level\n");
 	printf("     -o filename   specify the output file name\n");
 	printf("     -P            show compression progress\n");
 	printf("     -S suffix     specify compressed suffix (default '.rz')\n");
+	printf("     -v -vv        add additional verbosity.\n");
 	printf("     -V            show version\n\n");
 	printf(" Note that rzip64 cannot operate on stdin/stdout\n");
 }
Only in rzip64-3-0: main.o
Only in rzip64-3-0/man: rzip64-man.html
diff -ru rzip64-3-0/runzip.c rzip64-3.1/runzip.c
--- rzip64-3-0/runzip.c	2010-12-19 12:12:30.000000000 -0600
+++ rzip64-3.1/runzip.c	2013-02-21 10:28:58.000000000 -0600
@@ -181,7 +181,6 @@
 {
 	off_t total = 0;
 
-	control->infile = 0;
 	while (total < expected_size) {
 		total += runzip_chunk(fd_in, fd_out, fd_hist);
 	}
Only in rzip64-3-0: runzip.o
Only in rzip64-3-0: rzip64
diff -ru rzip64-3-0/rzip64.c rzip64-3.1/rzip64.c
--- rzip64-3-0/rzip64.c	2010-12-19 12:12:05.000000000 -0600
+++ rzip64-3.1/rzip64.c	2013-02-21 10:16:56.000000000 -0600
@@ -1,6 +1,7 @@
 /*
    Copyright (C) Kay Gorontzi, 2010
    based on the work of Andrew Tridgell, 1998
+   modified to run on OS X by Gabe Stocco, 2013.
 
    Modified to use flat hash, memory limit and variable hash culling
    by Rusty Russell copyright (C) 2003.
@@ -95,6 +96,7 @@
 };
 
 static int cores_in_use = 1;
+static int verbosity=0;
 
 void *DeathOfChild(int dummy) {
 	int w;
@@ -573,7 +575,7 @@
 {
 	uchar *buf;
 
-	printf("Mapping %d bytes from offset=%lx\n", st->chunk_size, offset);
+	if( verbosity > 0 ) printf("Mapping %d bytes from offset=%lx\n", st->chunk_size, offset);
 	buf = (uchar *)mmap(NULL,st->chunk_size,PROT_READ,MAP_SHARED,fd_in,offset);
 	if (buf == (uchar *)-1) {
 		fatal("Failed to map buffer in rzip_fd\n");
@@ -597,13 +599,14 @@
 	struct  stat s, s2;
 	struct  rzip_state *rstate;
 	struct  MergeState MergeState;
-   char   *TmpName="";
+    char   *TmpName="";
 	char   *MergeStateName="";
 	char   *FName;
 	off_t   len;
 	int64   i, LastSlice;
 	int     M;
 	int64   chunk;
+	verbosity=control->verbosity;
 
 	rstate = calloc(sizeof(*rstate), 1);
 	if (!rstate)  fatal("Failed to allocate control state in rzip_fd\n");
@@ -670,6 +673,7 @@
 			struct stat st;
 			int f;
 			int isChild = FALSE;
+			unsigned long children=0;
 
 			// If we reached the merge phase during the last run, we do no longer need
 			// slices that are already successfully written to the output file.
@@ -695,7 +699,7 @@
 			// operation is selected by -j <n>.
 			// -------------------------------------------------------------
 			while (cores_in_use > control->cores)  sleep(1);					// Wait for an available core
-
+			children++;
 			cores_in_use++;																// Allocate available core
 			signal(SIGCHLD, (__sighandler_t)DeathOfChild);						// Ensure to be informed when done
 			if (fork())  continue;
@@ -711,7 +715,11 @@
 			close(f);																		// This prevents data corruption by
 			rename(TmpName, FName);														// incomplete segments on a later resume
 
-			if (isChild)  { printf("Child %d completed.\n", cores_in_use);  cores_in_use--;  exit(69); }
+			if (isChild)  { 
+				if(control->verbosity > 0) printf("Child %d completed.\n", children);
+				cores_in_use--;
+				exit(69); 
+			}
 		}
 		else {
 			rzip_chunk(rstate, fd_in, fd_out, s.st_size - len, pct_base, pct_multiple);
diff -ru rzip64-3-0/rzip64.h rzip64-3.1/rzip64.h
--- rzip64-3-0/rzip64.h	2010-12-19 11:48:44.000000000 -0600
+++ rzip64-3.1/rzip64.h	2013-02-21 09:54:49.000000000 -0600
@@ -1,6 +1,7 @@
 /*
    Copyright (C) Kay Gorontzi, 2010
    based on the work of Andrew Tridgell, 1998
+   modified by to run on OS X by Gabe Stocco, 2013
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
@@ -18,7 +19,7 @@
 */
 
 #define RZIP_MAJOR_VERSION 3
-#define RZIP_MINOR_VERSION 0
+#define RZIP_MINOR_VERSION 1
 
 #define NUM_STREAMS 2
 
@@ -120,6 +121,10 @@
 #define TRUE 1
 #endif
 
+// define __sighandler_t on MacOSX
+#ifndef __sighandler_t
+#define __sighandler_t sig_t
+#endif
 
 #if !HAVE_STRERROR
 extern char *sys_errlist[];
Only in rzip64-3-0: rzip64.o
Only in rzip64-3-0: stream.o
Only in rzip64-3-0: util.o