Index: comms/sofia-sip/Portfile
===================================================================
diff --git a/trunk/dports/comms/sofia-sip/Portfile b/trunk/dports/comms/sofia-sip/Portfile
--- a/trunk/dports/comms/sofia-sip/Portfile	(revision 103734)
+++ b/trunk/dports/comms/sofia-sip/Portfile	(working copy)
@@ -25,7 +25,8 @@
                 rmd160  0d398a03b8ca227c84d0909bb6f3d4fa1011cb08
 
 depends_build   port:pkgconfig \
-                port:doxygen
+                port:doxygen \
+                path:bin/dot:graphviz
 
 depends_lib     path:lib/pkgconfig/glib-2.0.pc:glib2 \
                 port:openssl
Index: devel/libgphoto2/Portfile
===================================================================
diff --git a/trunk/dports/devel/libgphoto2/Portfile b/trunk/dports/devel/libgphoto2/Portfile
--- a/trunk/dports/devel/libgphoto2/Portfile	(revision 103734)
+++ b/trunk/dports/devel/libgphoto2/Portfile	(working copy)
@@ -52,7 +52,8 @@
 }
 
 variant doxygen description {Use doxygen to generate API docs} {
-   depends_build-append   port:doxygen
+   depends_build-append   port:doxygen \
+                          path:bin/dot:graphviz
    patchfiles-delete      patch-configure-nodoxygen.diff
 }
 
Index: gnome/gnome-vfsmm/Portfile
===================================================================
diff --git a/trunk/dports/gnome/gnome-vfsmm/Portfile b/trunk/dports/gnome/gnome-vfsmm/Portfile
--- a/trunk/dports/gnome/gnome-vfsmm/Portfile	(revision 103734)
+++ b/trunk/dports/gnome/gnome-vfsmm/Portfile	(working copy)
@@ -22,7 +22,8 @@
                  rmd160  3181c6671c0af2e31c9a06a969e1754cae3167ca
 
 depends_build    port:pkgconfig \
-                 port:doxygen
+                 port:doxygen \
+                 path:bin/dot:graphviz
 
 depends_lib      port:glibmm \
                  port:gnome-vfs
Index: gnome/goocanvasmm/Portfile
===================================================================
diff --git a/trunk/dports/gnome/goocanvasmm/Portfile b/trunk/dports/gnome/goocanvasmm/Portfile
--- a/trunk/dports/gnome/goocanvasmm/Portfile	(revision 103734)
+++ b/trunk/dports/gnome/goocanvasmm/Portfile	(working copy)
@@ -26,6 +26,7 @@
 depends_build   port:pkgconfig \
                 port:perl5 \
                 port:doxygen \
+                path:bin/dot:graphviz \
                 port:libxslt \
                 port:mm-common
 
Index: graphics/libexif/Portfile
===================================================================
diff --git a/trunk/dports/graphics/libexif/Portfile b/trunk/dports/graphics/libexif/Portfile
--- a/trunk/dports/graphics/libexif/Portfile	(revision 103734)
+++ b/trunk/dports/graphics/libexif/Portfile	(working copy)
@@ -37,7 +37,8 @@
 test.target     check
 
 variant doc description {Install extra documentation} {
-    depends_build-append    port:doxygen
+    depends_build-append    port:doxygen \
+                            path:bin/dot:graphviz
     configure.args-delete   --disable-docs
 }
 
Index: graphics/ogre/Portfile
===================================================================
diff --git a/trunk/dports/graphics/ogre/Portfile b/trunk/dports/graphics/ogre/Portfile
--- a/trunk/dports/graphics/ogre/Portfile	(revision 103734)
+++ b/trunk/dports/graphics/ogre/Portfile	(working copy)
@@ -64,7 +64,8 @@
         ${worksrcpath}/Tutorials/CMakeLists.txt
 }
 depends_lib         port:libzzip port:zlib port:bzip2 port:freeimage \
-                    port:freetype port:boost port:ois port:doxygen
+                    port:freetype port:boost port:ois port:doxygen \
+                    path:bin/dot:graphviz
 
 configure.args-append -DMACPORTS=TRUE \
                     -DOGRE_BUILD_TOOLS=TRUE \
Index: graphics/openni/Portfile
===================================================================
diff --git a/trunk/dports/graphics/openni/Portfile b/trunk/dports/graphics/openni/Portfile
--- a/trunk/dports/graphics/openni/Portfile	(revision 103734)
+++ b/trunk/dports/graphics/openni/Portfile	(working copy)
@@ -21,7 +21,8 @@
 checksums           rmd160  ecf46e11a82752388bb394562dfbbec1e018c40b \
                     sha256  7f097f6b7e304dab75afd23ce73cbe3dcefec62b6a8f843fa6bdf2f6b1d81e99
 
-depends_build       port:doxygen
+depends_build       port:doxygen \
+                    path:bin/dot:graphviz
 
 depends_lib         port:libusb
 
Index: kde/kdeaddons3/Portfile
===================================================================
diff --git a/trunk/dports/kde/kdeaddons3/Portfile b/trunk/dports/kde/kdeaddons3/Portfile
--- a/trunk/dports/kde/kdeaddons3/Portfile	(revision 103734)
+++ b/trunk/dports/kde/kdeaddons3/Portfile	(working copy)
@@ -27,6 +27,7 @@
 depends_build	port:autoconf263 \
 		port:unsermake
 depends_lib	port:doxygen \
+		path:bin/dot:graphviz \
 		port:kdebase3 \
 		port:kdegames3 \
 		port:kdepim3
Index: kde/kdebase3/Portfile
===================================================================
diff --git a/trunk/dports/kde/kdebase3/Portfile b/trunk/dports/kde/kdebase3/Portfile
--- a/trunk/dports/kde/kdebase3/Portfile	(revision 103734)
+++ b/trunk/dports/kde/kdebase3/Portfile	(working copy)
@@ -125,7 +125,8 @@
 universal_variant       no
 
 variant doxygen description {Include API documentation} {
-    depends_lib-append port:doxygen
+    depends_lib-append port:doxygen \
+                       path:bin/dot:graphviz
     post-patch {
         foreach f {CompileScript.sh InstallScript.sh} {
             reinplace "s|#apidox#||g" ${worksrcpath}/${f}
Index: kde/kdelibs3/Portfile
===================================================================
diff --git a/trunk/dports/kde/kdelibs3/Portfile b/trunk/dports/kde/kdelibs3/Portfile
--- a/trunk/dports/kde/kdelibs3/Portfile	(revision 103734)
+++ b/trunk/dports/kde/kdelibs3/Portfile	(working copy)
@@ -145,7 +145,8 @@
 universal_variant       no
 
 variant doxygen description {Include API documentation} {
-    depends_lib-append port:doxygen
+    depends_lib-append port:doxygen \
+                       path:bin/dot:graphviz
     post-patch {
         foreach f {CompileScript.sh InstallScript.sh} {
             reinplace "s|#apidox#||g" ${worksrcpath}/${f}
Index: math/eigen3/Portfile
===================================================================
diff --git a/trunk/dports/math/eigen3/Portfile b/trunk/dports/math/eigen3/Portfile
--- a/trunk/dports/math/eigen3/Portfile	(revision 103734)
+++ b/trunk/dports/math/eigen3/Portfile	(working copy)
@@ -62,7 +62,7 @@
     description \
     {Place local documentation into <prefix>/share/doc/eigen3/html}\
     requires cmake {
-        depends_build-append port:doxygen port:texlive-latex
+        depends_build-append port:doxygen path:bin/dot:graphviz port:texlive-latex
         build.target-append doc
 }
 
Index: print/libspectre/Portfile
===================================================================
diff --git a/trunk/dports/print/libspectre/Portfile b/trunk/dports/print/libspectre/Portfile
--- a/trunk/dports/print/libspectre/Portfile	(revision 103734)
+++ b/trunk/dports/print/libspectre/Portfile	(working copy)
@@ -28,7 +28,8 @@
                 path:lib/pkgconfig/cairo.pc:cairo
 
 variant docs description "Build documentation" {
-    depends_build   port:doxygen
+    depends_build   port:doxygen \
+                    path:bin/dot:graphviz
 }
 
 livecheck.type  regex
Index: science/bob/Portfile
===================================================================
diff --git a/trunk/dports/science/bob/Portfile b/trunk/dports/science/bob/Portfile
--- a/trunk/dports/science/bob/Portfile	(revision 103734)
+++ b/trunk/dports/science/bob/Portfile	(working copy)
@@ -83,6 +83,7 @@
 variant doc description "Build documentation" {
     depends_build-append    port:dvipng \
         port:doxygen \
+        path:bin/dot:graphviz \
         port:texlive-latex-extra \
         port:texlive-fonts-recommended
     destroot.target-append  sphinx-latex install-sphinx install-doxygen
Index: science/gerbil/Portfile
===================================================================
diff --git a/trunk/dports/science/gerbil/Portfile b/trunk/dports/science/gerbil/Portfile
--- a/trunk/dports/science/gerbil/Portfile	(revision 103734)
+++ b/trunk/dports/science/gerbil/Portfile	(working copy)
@@ -67,6 +67,7 @@
 variant doc description {Generate and install gerbil documentation} {
     depends_build-append \
                     port:doxygen \
+                    path:bin/dot:graphviz \
                     bin:latex:texlive-latex \
                     bin:makeindex:texlive-basic \
                     bin:dvips:texlive-basic
Index: science/gnuradio/Portfile
===================================================================
diff --git a/trunk/dports/science/gnuradio/Portfile b/trunk/dports/science/gnuradio/Portfile
--- a/trunk/dports/science/gnuradio/Portfile	(revision 103734)
+++ b/trunk/dports/science/gnuradio/Portfile	(working copy)
@@ -236,6 +236,7 @@
 
     depends_lib-append \
         port:doxygen \
+        path:bin/dot:graphviz \
         port:xmlto
 
     configure.args-append \
Index: science/gr-osmosdr/Portfile
===================================================================
diff --git a/trunk/dports/science/gr-osmosdr/Portfile b/trunk/dports/science/gr-osmosdr/Portfile
--- a/trunk/dports/science/gr-osmosdr/Portfile	(revision 103734)
+++ b/trunk/dports/science/gr-osmosdr/Portfile	(working copy)
@@ -109,7 +109,8 @@
 variant docs description "Install ${name} documentation" {
 
     depends_build-append \
-        port:doxygen
+        port:doxygen \
+        path:bin/dot:graphviz
 
     configure.args-append \
         -DDOXYGEN_DOT_EXECUTABLE=${prefix}/bin/dot \
Index: shells/fish/Portfile
===================================================================
diff --git a/trunk/dports/shells/fish/Portfile b/trunk/dports/shells/fish/Portfile
--- a/trunk/dports/shells/fish/Portfile	(revision 103734)
+++ b/trunk/dports/shells/fish/Portfile	(working copy)
@@ -26,7 +26,8 @@
 livecheck.type          regex
 livecheck.regex         fish-(.*?).tar.bz2
 
-depends_build           port:doxygen
+depends_build           port:doxygen \
+                        path:bin/dot:graphviz
 
 depends_lib             port:libiconv \
                         port:ncurses \
Index: sysutils/rpm/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm/Portfile b/trunk/dports/sysutils/rpm/Portfile
--- a/trunk/dports/sysutils/rpm/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm/Portfile	(working copy)
@@ -123,7 +123,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm45/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm45/Portfile b/trunk/dports/sysutils/rpm45/Portfile
--- a/trunk/dports/sysutils/rpm45/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm45/Portfile	(working copy)
@@ -141,7 +141,7 @@
 }
 
 variant docs {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm50/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm50/Portfile b/trunk/dports/sysutils/rpm50/Portfile
--- a/trunk/dports/sysutils/rpm50/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm50/Portfile	(working copy)
@@ -110,7 +110,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm51/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm51/Portfile b/trunk/dports/sysutils/rpm51/Portfile
--- a/trunk/dports/sysutils/rpm51/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm51/Portfile	(working copy)
@@ -107,7 +107,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm52/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm52/Portfile b/trunk/dports/sysutils/rpm52/Portfile
--- a/trunk/dports/sysutils/rpm52/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm52/Portfile	(working copy)
@@ -101,7 +101,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm53/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm53/Portfile b/trunk/dports/sysutils/rpm53/Portfile
--- a/trunk/dports/sysutils/rpm53/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm53/Portfile	(working copy)
@@ -121,7 +121,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: sysutils/rpm54/Portfile
===================================================================
diff --git a/trunk/dports/sysutils/rpm54/Portfile b/trunk/dports/sysutils/rpm54/Portfile
--- a/trunk/dports/sysutils/rpm54/Portfile	(revision 103734)
+++ b/trunk/dports/sysutils/rpm54/Portfile	(working copy)
@@ -120,7 +120,7 @@
 }
 
 variant docs description "API documentation" {
-	depends_run-append bin:doxygen:doxygen
+	depends_run-append bin:doxygen:doxygen path:bin/dot:graphviz
 	configure.args-delete --without-apidocs
 	configure.args-append --with-apidocs
 }
Index: x11/awesome/Portfile
===================================================================
diff --git a/trunk/dports/x11/awesome/Portfile b/trunk/dports/x11/awesome/Portfile
--- a/trunk/dports/x11/awesome/Portfile	(revision 103734)
+++ b/trunk/dports/x11/awesome/Portfile	(working copy)
@@ -71,7 +71,8 @@
     depends_build-append \
                     port:asciidoc \
                     port:xmlto \
-                    port:doxygen
+                    port:doxygen \
+                    path:bin/dot:graphviz
 }
 
 variant x11_xcb description {does nothing in this port, but its presence triggers cairo x11_xcb variant} {}
Index: x11/xorg-libxcb/Portfile
===================================================================
diff --git a/trunk/dports/x11/xorg-libxcb/Portfile b/trunk/dports/x11/xorg-libxcb/Portfile
--- a/trunk/dports/x11/xorg-libxcb/Portfile	(revision 103734)
+++ b/trunk/dports/x11/xorg-libxcb/Portfile	(working copy)
@@ -31,7 +31,8 @@
 
 variant docs description "Install extra documentation" {
     depends_build-append \
-        port:doxygen
+        port:doxygen \
+        path:bin/dot:graphviz
 
     depends_skip_archcheck-append \
         doxygen