Index: py25-pywavelets/Portfile
===================================================================
--- py25-pywavelets/Portfile	(revision 104608)
+++ py25-pywavelets/Portfile	(working copy)
@@ -1,23 +0,0 @@
-# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id$
-
-PortSystem              1.0
-PortGroup               python25 1.0
-
-name                    py25-pywavelets
-version                 0.1.6
-categories              python
-platforms               darwin
-maintainers             jameskyle
-description             PyWavelets is a Python wavelet transforms module
-long_description        ${description}. 
-
-homepage                http://pypi.python.org/pypi/PyWavelets/
-master_sites            http://pypi.python.org/packages/source/P/PyWavelets/
-distname                PyWavelets-${version}
-build.env               CFLAGS='-I${prefix}/include -L${prefix}/lib'
-
-checksums           md5     d28ddb2c65f3c429f0d6bc72548584ab \
-                    sha1    c12948178b5f4294408bb29424aa47fcd5d4fec9 \
-                    rmd160  85cb2b0b6db8bf6b797ad36cb1341c673c442f18
-
Index: py26-pywavelets/Portfile
===================================================================
--- py26-pywavelets/Portfile	(revision 104608)
+++ py26-pywavelets/Portfile	(working copy)
@@ -1,24 +0,0 @@
-# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id$
-
-PortSystem          1.0
-PortGroup           python26 1.0
-
-name                py26-pywavelets
-version             0.2.0
-categories          python
-platforms           darwin
-maintainers         jameskyle
-description         PyWavelets is a Python wavelet transforms module
-long_description    ${description}. 
-
-homepage            http://pypi.python.org/pypi/PyWavelets/
-master_sites        http://pypi.python.org/packages/source/P/PyWavelets/
-distname            PyWavelets-${version}
-build.env           CFLAGS='-I${prefix}/include -L${prefix}/lib'
-
-checksums           sha1    0c70cd2ad1ef1bb2c2266240d973192944414f31 \
-                    rmd160  31571e3991c2aab332f929d5c64a466d16590e5a
-
-patchfiles          patch-src-_pywt.pyx.diff 
-depends_build       port:py26-cython
Index: py26-pywavelets/files/patch-src-_pywt.pyx.diff
===================================================================
--- py26-pywavelets/files/patch-src-_pywt.pyx.diff	(revision 104608)
+++ py26-pywavelets/files/patch-src-_pywt.pyx.diff	(working copy)
@@ -1,11 +0,0 @@
---- src/_pywt.pyx.orig	2011-01-26 23:30:33.000000000 -0800
-+++ src/_pywt.pyx	2011-01-26 23:30:44.000000000 -0800
-@@ -164,7 +164,7 @@
- 
-     #cdef readonly properties
- 
--    def __new__(self, char* name="", object filter_bank=None):
-+    def __cinit__(self, char* name="", object filter_bank=None):
-         cdef object family_code, family_number
-         cdef object filters
-         cdef int filter_length
Index: py-pywavelets/Portfile
===================================================================
--- py-pywavelets/Portfile	(working copy)
+++ py-pywavelets/Portfile	(working copy)
@@ -2,23 +2,40 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           python26 1.0
+PortGroup           python 1.0
 
-name                py26-pywavelets
-version             0.2.0
-categories          python
+name                py-pywavelets
+version             0.2.2
+revision            0
+categories-append   science math
 platforms           darwin
-maintainers         jameskyle
+license             MIT
+
+python.versions     26 27
+
+maintainers         jameskyle openmaintainer
+
 description         PyWavelets is a Python wavelet transforms module
-long_description    ${description}. 
+long_description    ${description}.
 
 homepage            http://pypi.python.org/pypi/PyWavelets/
 master_sites        http://pypi.python.org/packages/source/P/PyWavelets/
+
 distname            PyWavelets-${version}
-build.env           CFLAGS='-I${prefix}/include -L${prefix}/lib'
 
-checksums           sha1    0c70cd2ad1ef1bb2c2266240d973192944414f31 \
-                    rmd160  31571e3991c2aab332f929d5c64a466d16590e5a
+use_zip             yes
 
-patchfiles          patch-src-_pywt.pyx.diff 
-depends_build       port:py26-cython
+checksums           rmd160  ae4ce162fbe1cdc0ee267388b7213e3a2a2c31d8 \
+                    sha256  04b53436f5f2a9b895a1f56e86e16b94632a5d6bcfc076be1110e41cf3071278
+
+if {$subport != $name} {
+    depends_build-append \
+                        port:py${python.version}-distribute \
+                        port:py${python.version}-cython
+
+    livecheck.type      none
+} else {
+    livecheck.type      regex
+    livecheck.url       ${master_sites}
+    livecheck.regex     "PyWavelets-(\\d+(?:\\.\\d+)*)${extract.suffix}"
+}
Index: py-pywavelets/files/patch-src-_pywt.pyx.diff
===================================================================
--- py-pywavelets/files/patch-src-_pywt.pyx.diff	(revision 104608)
+++ py-pywavelets/files/patch-src-_pywt.pyx.diff	(working copy)
@@ -1,11 +0,0 @@
---- src/_pywt.pyx.orig	2011-01-26 23:30:33.000000000 -0800
-+++ src/_pywt.pyx	2011-01-26 23:30:44.000000000 -0800
-@@ -164,7 +164,7 @@
- 
-     #cdef readonly properties
- 
--    def __new__(self, char* name="", object filter_bank=None):
-+    def __cinit__(self, char* name="", object filter_bank=None):
-         cdef object family_code, family_number
-         cdef object filters
-         cdef int filter_length